data:extend({{
	type = "item-with-entity-data",
	name = "vehicle-flame-tumbler",
	icon = "__aai-vehicles-flame-tumbler__/graphics/icons/flame-tumbler.png",
	flags = {"goes-to-quickbar"},
	subgroup="transport",
    order = "b[personal-transport]-a[car]-c[flame-tumbler]",
	stack_size = 1,
	place_result = "vehicle-flame-tumbler",
},
{
    type = "gun",
    name = "flame-tumbler-flame-thrower",
    icon = "__base__/graphics/icons/flame-thrower.png",
    flags = {"goes-to-main-inventory", "hidden"},
    subgroup = "gun",
    order = "e[flame-thrower]",
    attack_parameters =
    {
      type = "stream",
      ammo_category = "flame-thrower",
      cooldown = 1,
      movement_slow_down_factor = 0.6,
      projectile_creation_distance = 0.2,
      gun_barrel_length = 0.1,
      gun_center_shift = { 0, -0.8 },
      range = 15,
      min_range = 1,
      cyclic_sound =
      {
        begin_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-start.ogg",
            volume = 0.7
          }
        },
        middle_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-mid.ogg",
            volume = 0.7
          }
        },
        end_sound =
        {
          {
            filename = "__base__/sound/fight/flamethrower-end.ogg",
            volume = 0.7
          }
        }
      }
    },
    stack_size = 1
},
})
