data:extend(
{
  {
    type = "ammo",
    name = "tankwerkz-ap-cannon-shell",
    icon = "__tankwerkz__/graphics/icons/cannon-shell-ap.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "cannon-shell",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "tankwerkz-ap-cannon-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 40,
          source_effects =
          {
            type = "create-explosion",
            entity_name = "explosion-gunshot"
          },
        }
      },
    },
    subgroup = "ammo",
    order = "d[cannon-shell]-d[advanced]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "tankwerkz-hiex-cannon-shell",
    icon = "__tankwerkz__/graphics/icons/cannon-shell-hiex.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "cannon-shell",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "tankwerkz-hiex-cannon-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 40,
          source_effects =
          {
            type = "create-explosion",
            entity_name = "explosion-gunshot"
          },
        }
      },
    },
    subgroup = "ammo",
    order = "d[cannon-shell]-c[advanced]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "tankwerkz-hydra-rocket",
    icon = "__tankwerkz__/graphics/icons/hydra-rocket.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "tankwerkz-hydra-rocket",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "tankwerkz-hydra-rocket",
          starting_speed = 0.1,
          direction_deviation = 0.35,
          range_deviation = 0.25,
          max_range = 30,
          
        },
		 
      }
    },
	 magazine_size = 6,
    subgroup = "ammo",
    order = "d[rocket-launcher]-a[basic]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "tankwerkz-heavy-mg-ammo",
    icon = "__tankwerkz__/graphics/icons/heavy-mg-ammo.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "tankwerkz-heavy-mg",
      action =
      {
	  {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          source_effects =
          {
              type = "create-explosion",
              entity_name = "explosion-gunshot"
          },
          target_effects =
          {
            {
              type = "create-entity",
              entity_name = "explosion-hit"
            },
            {
              type = "damage",
              damage = { amount = 10 , type = "physical"}
            },
			{
            type = "damage",
            damage = { amount = 5 , type = "impact"}
			}
          }
          }
        }
      }
	},
    magazine_size = 100,
    subgroup = "ammo",
    order = "a[basic-clips]-b[piercing-rounds-magazine]",
    stack_size = 100
  },
  {
    type = "ammo",
    name = "tankwerkz-tank-flame-thrower-ammo",
    icon = "__tankwerkz__/graphics/icons/tank-flame-thrower-ammo.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "tankwerkz-tank-flame-thrower",
      target_type = "position",
      clamp_position = true,
      
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "stream",
          stream = "flamethrower-fire-stream",
		  direction_deviation = 0.1,
          max_length = 25,
          duration = 160,
        }
      }
    },
    magazine_size = 100,
    subgroup = "ammo",
    order = "f[flame-thrower]",
    stack_size = 50
  }
}
)
