local index
local temp

local temp_X
local temp_Y
local temp_tick
local temp_cycles
local temp_name
local temp_entities

local filename = "AussyBush.log"

if global.growing_saplings_record == nil then
	global.growing_saplings_record = {}
else
	game.write_file(filename, ".....Sapling Record.....", true)
	for index = 1, #global.growing_saplings_record do
		temp_X = global.growing_saplings_record[1].position.x
		temp_Y = global.growing_saplings_record[1].position.y
		temp_tick = global.growing_saplings_record[1].tick
		temp_cycles = global.growing_saplings_record[1].remaining
		temp_name = "dead-grey-trunk"
		
		if game.surfaces.nauvis.find_entities_filtered({area = {{temp_X -32, temp_Y -32}, {temp_X +32, temp_Y +32}}, type = "tree"})[1].name ~= nil then
			temp_entities = game.surfaces.nauvis.find_entities_filtered({area = {{temp_X -32, temp_Y -32}, {temp_X +32, temp_Y +32}}, type = "tree"})
			for temp = 1, #temp_entities do
				if temp_entities[temp].name ~= "planted-sapling" then
					temp_name = temp_entities[temp].name
					break
				end
			end
		end
		
		table.insert(global.growing_saplings_record, 
													{	
														position = {x = temp_x, y = temp_y}, 
														tick = temp_tick,
														remaining = temp_cycles,
														name = temp_name
													})
				
		table.remove(global.growing_saplings_record, 1)
		game.write_file(filename, "X:"..temp_x..", Y:"..temp_y.."   Name: "..temp_name, true)
	end
end

if global.seed_fall_record == nil then
	global.seed_fall_record = {}
else
	game.write_file(filename, ".....Seed Record.....", true)
	for index = 1, #global.seed_fall_record do
		temp_X = global.seed_fall_record[1].position.x
		temp_Y = global.seed_fall_record[1].position.y
		temp_tick = global.seed_fall_record[1].tick
		temp_cycles = global.seed_fall_record[1].remaining
		temp_name = "dead-grey-trunk"
		
		if game.surfaces.nauvis.find_entities_filtered({area = {{temp_X -32, temp_Y -32}, {temp_X +32, temp_Y +32}}, type = "tree"})[1].name ~= nil then
			temp_entities = game.surfaces.nauvis.find_entities_filtered({area = {{temp_X -32, temp_Y -32}, {temp_X +32, temp_Y +32}}, type = "tree"})
			for temp = 1, #temp_entities do
				if temp_entities[temp].name ~= "planted-sapling" then
					temp_name = temp_entities[temp].name
					break
				end
			end
		end
		
		table.insert(global.seed_fall_record, 
													{	
														position = {x = temp_x, y = temp_y}, 
														tick = temp_tick,
														remaining = temp_cycles,
														name = temp_name
													})
		
		table.remove(global.seed_fall_record, 1)
		game.write_file(filename, "X:"..temp_x..", Y:"..temp_y.."   Name: "..temp_name, true)
	end
end