data:extend(
{ 
    {
        -- New raw material
        type = "item",
        name = "SiSi-quartz",
        icon = "__SimpleSilicon__/graphics/icons/quartz.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "raw-material",
        order = "b[SiSi-quartz]",
        stack_size = 50
    },
    
    {
        -- New item; basic ressource for all silicon applications
        type = "item",
        name = "SiSi-silicon",
        icon = "__SimpleSilicon__/graphics/icons/silicon.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "raw-material",
        order = "e[SiSi-silicon]",
        stack_size = 100
    },
    
    {
        -- New item; new main component of solar panels
        type = "item",
        name = "SiSi-solar-cell",
        icon = "__SimpleSilicon__/graphics/icons/solar-cell.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "intermediate-product",
        order = "i[SiSi-solar-cell]-i[explosives]",
        stack_size = 50
    },
    
    {
        -- New item; new main component of adv circuits and processing units
        type = "item",
        name = "SiSi-silicon-wafer",
        icon = "__SimpleSilicon__/graphics/icons/silicon-wafer.png",
        flags = {"goes-to-main-inventory"},
        subgroup = "intermediate-product",
        order = "i[SiSi-silicon-wafer]-i[SiSi-solar-cell]-i[explosives]",
        stack_size = 50
    }
})