data:extend(
{
    {
        type = "recipe",
        name = "SiSi-quartz",
        category = "crafting-with-fluid",
        energy_required = 0.5,
        enabled = false,
        ingredients =
        {
            {type="item", name="stone", amount=1},
            {type="fluid", name="water", amount=5}
        },
        results =
        {
            {type="item", name="SiSi-quartz", probability=0.50, amount_min=1, amount_max=1} -- estimated output:  0.5 units per cycle on average
        }
    },
          
    {
        type = "recipe",
        name = "SiSi-silicon",
        category = "smelting",
        enabled = false,
        energy_required = 17.5,
        ingredients = {{"SiSi-quartz", 3}},
        result = "SiSi-silicon"
    },
    
    {
        type = "recipe",
        name = "SiSi-solar-cell",
        category = "crafting",
        energy_required = 8,
        enabled = false,
        ingredients =
        {
            {type="item", name="SiSi-silicon", amount=1},
            {type="item", name="electronic-circuit", amount=1},
            {type="item", name="copper-plate", amount=1}
        },
        results =
        {
            {type="item", name="SiSi-solar-cell", amount=1}
        }
    },
    
    {
        type = "recipe",
        name = "SiSi-silicon-wafer",
        category = "advanced-crafting",
        energy_required = 15,
        enabled = false,
        ingredients =
        {
            {type="item", name="SiSi-silicon", amount=1},
        },
        results =
        {
            {type="item", name="SiSi-silicon-wafer", amount=5}
        }
    },
    
    {
        type = "recipe",
        name = "advanced-circuit",
        enabled = false,
        energy_required = 8,
        ingredients =
        {
            {"SiSi-silicon-wafer", 1},
            {"electronic-circuit", 2},
            {"plastic-bar", 2},
            {"copper-cable", 4}            
        },
        result = "advanced-circuit",
        requester_paste_multiplier = 5
    },
    
    { 
        type = "recipe",
        name = "processing-unit",
        category = "crafting-with-fluid",
        enabled = false,
        energy_required = 15,
        ingredients =
        {
            {"SiSi-silicon-wafer", 8},
            {"electronic-circuit", 20},
            {"advanced-circuit", 2},
            {type="fluid", name = "sulfuric-acid", amount = 0.5}
        },
        result = "processing-unit"
    },
    
    {
        type = "recipe",
        name = "solar-panel",
        energy_required = 10,
        enabled = false,
        ingredients =
        {
            {"SiSi-solar-cell", 10},
            {"steel-plate", 5},
            {"electronic-circuit", 5}
        },
        result = "solar-panel"
    },
}
)