data:extend(
{ 
    {
        -- enables silicon processing
        type = "technology",
        name = "SiSi-silicon-processing",
        icon = "__SimpleSilicon__/graphics/technology/silicon_processing.png",
        icon_size = 128,
        effects =
        {
            {
                type = "unlock-recipe",
                recipe = "SiSi-quartz"
            },
            {
                type = "unlock-recipe",
                recipe = "SiSi-silicon"
            },
        },
        prerequisites = {"advanced-material-processing"},
        unit =
        {
            count = 120,
            ingredients =
            {
                {"science-pack-1", 1},
                {"science-pack-2", 1}
            },
            time = 20
        },
        order = "c-c"
    },
    
    {
        type = "technology",
        name = "solar-energy",
        icon = "__base__/graphics/technology/solar-energy.png",
        effects =
        {
            {
                type = "unlock-recipe",
                recipe = "SiSi-solar-cell"
            },
            {
                type = "unlock-recipe",
                recipe = "solar-panel"
            },
            
        },
        prerequisites = {"optics", "electronics", "SiSi-silicon-processing"},
        unit =
        {
            count = 200,
            ingredients =
            {
                {"science-pack-1", 1},
                {"science-pack-2", 1}
            },
            time = 30
        },
        order = "a-h-c",
    },
    
    {
        type = "technology",
        name = "advanced-electronics",
        icon = "__base__/graphics/technology/advanced-electronics.png",
        effects =
        {
            {
                type = "unlock-recipe",
                recipe = "SiSi-silicon-wafer"
            },
            {
                type = "unlock-recipe",
                recipe = "advanced-circuit"
            },
            {
                type = "unlock-recipe",
                recipe = "processing-unit"
            },

        },
        prerequisites = {"electronics", "plastics", "SiSi-silicon-processing"},
        unit =
        {
            count = 100,
            ingredients =
            {
                {"science-pack-1", 1},
                {"science-pack-2", 1}
            },
            time = 20
        },
        order = "a-d-b",
    },
}
)