data:extend(
{
  {
    type = "projectile",
    name = "compressed-defender",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "defender",
			offsets = {{-0.4,-0.4},{-0.4,0},{-0.4,0.4},{0,-0.6},{0,-0.2},{0,0.2},{0,0.6},{0.4,-0.4},{0.4,0},{0.4,0.4},}
          },
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/defender-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = capsule_smoke,
  },
  {
    type = "projectile",
    name = "compressed-distractor",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            show_in_tooltip = true,
            entity_name = "distractor",
            offsets = {{-0.5,-0.6},{-0.5,-0.2},{-0.5,0.2},{-0.5,0.6},{0,-0.6},{0,-0.2},{0,0.2},{0,0.6},{0.5,-0.6},{0.5,-0.2},{0.5,0.2},{0.5,0.6}}
          }
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/distractor-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = capsule_smoke
  },
  {
    type = "projectile",
    name = "compressed-destroyer",
    flags = {"not-on-map"},
    acceleration = 0.005,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          type = "create-entity",
          show_in_tooltip = true,
          entity_name = "destroyer",
          offsets = {{-0.7, -0.7},{-0.7, 0.7},{0.7, -0.7},{0.7, 0.7},{0, 0}, {-2.5, -2.5},{-2.5, -1.1},{-1.1, -2.5},{-1.1, -1.1},{-1.8, -1.8}, {2.5, 2.5},{2.5, 1.1},{1.1, 2.5},{1.1, 1.1},{1.8, 1.8}, {-2.5, 2.5},{-2.5, 1.1},{-1.1, 2.5},{-1.1, 1.1},{-1.8, 1.8}, {2.5, -2.5},{2.5, -1.1},{1.1, -2.5},{1.1, -1.1},{1.8, -1.8}}
        }
      }
    },
    light = {intensity = 0.5, size = 4},
    animation =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/destroyer-capsule.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    shadow =
    {
      filename = "__base__/graphics/entity/combat-robot-capsule/combat-robot-capsule-shadow.png",
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high"
    },
    smoke = capsule_smoke
  },
})
